[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomActionList.SetChildOrder

Set the order for the specified child (Action).

## Declaration

Source position: actnlist.pas line 97

`protected procedure TCustomActionList.SetChildOrder(`
`Component: TComponent;`
`Order: Integer`
`); override;`

## Arguments

`Component` |  | Child component (action) re-order in the method.
`Order` |  | New position in the Actions list.

## Description

SetChildOrder is an overridden method in TCustomActionList. It sets the ordinal position for the action in Component to the value specified in Order. The IndexOf method in Actions is called to get the current position for Component. The value in Order is assigned to the Index property in the TContainedAction when it exists in Actions. No actions are performed in the method when Component is not stored in the Actions for the action list.

## See also

TCustomActionList.Actions |  | Provides indexed access to actions in the list by their ordinal position.
TContainedAction.Index |  | Ordinal position for the action in ActionList.
TComponent